commit:     07cce0e1468384120e719941deaa2c3ea356366c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 06:57:44 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 07:17:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07cce0e1

dev-python/fritzconnection: Bump to 1.10.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fritzconnection/Manifest                |  1 +
 .../fritzconnection/fritzconnection-1.10.2.ebuild  | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/fritzconnection/Manifest 
b/dev-python/fritzconnection/Manifest
index 6d24c3bd27c1..7f26f6963ed4 100644
--- a/dev-python/fritzconnection/Manifest
+++ b/dev-python/fritzconnection/Manifest
@@ -1,3 +1,4 @@
 DIST fritzconnection-1.10.0.gh.tar.gz 146309 BLAKE2B 
64b01a561a015fae10dc3aced2576afce5d27555aba019028de32d5dc0ee9099f4248d900ac1de0f18321d52537dd7b77ff010ce44ca863ef9b5c5e228c61071
 SHA512 
86acce864624f67fdbd407157565cec434d029907b4d295a3e5e1bb41d8856ca1eae99681fd3c44033c6bcef8ecc594483f734e08c4fb733e685c01147dd3c29
 DIST fritzconnection-1.10.1.gh.tar.gz 146297 BLAKE2B 
bbb8601d3c5f9f379275dae8e293385f9c4dca44eb9e74b22f12cd4e89a50a3dd2c8220aa0e28408f3f136192c43a5d4bc37347e047caed42f889cc303b02f52
 SHA512 
fd860a563eeefba374ccc8d2ab8319dd07b6c02c12fd9b7ff00353d86b041757fded308f5a0859cee8d190c5c51b5308290eb656e77ed8e3882ee482568cd677
+DIST fritzconnection-1.10.2.gh.tar.gz 146414 BLAKE2B 
2a3a478ded0897c7ce703ebb34abdd54f54d286a82dfe761703b7ec8b3615891797815c0fb3a7a08f70d2713f530f31fd6ca8093b634a09a6d10cce95ad97d6b
 SHA512 
b7073f5cc558ac9b43bf8e53aac5bdee1b9d4f164d72c766f63a62f88d38635da40202b48cba36356a9871f4f9f9ecda7020424491f419d534e3cb1c9067cb28
 DIST fritzconnection-1.9.1.gh.tar.gz 79580 BLAKE2B 
6972c92aabb9c516e2b4d3d18bea2daf8002a12c9939a5badd1ceb8f7539a243f99778a3ded0cd057850b54e9cb2a0ca9d2c31be688eaf81f4b279b74d10fc55
 SHA512 
55642cf1db581c62091d63fdfa9bf4fe36c545df686eae7d0f886b4ef8c186668e6f8fb7bc7786e13936764ea771e0dba79e62b57f19348dd562bf23a27d6369

diff --git a/dev-python/fritzconnection/fritzconnection-1.10.2.ebuild 
b/dev-python/fritzconnection/fritzconnection-1.10.2.ebuild
new file mode 100644
index 000000000000..f901bc98be0c
--- /dev/null
+++ b/dev-python/fritzconnection/fritzconnection-1.10.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Lib/tool to communicate with AVM FRITZ! devices using TR-064 
protocol over UPnP"
+HOMEPAGE="
+       https://github.com/kbr/fritzconnection/
+       https://pypi.org/project/fritzconnection/
+"
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/kbr/fritzconnection";
+       inherit git-r3
+else
+       SRC_URI="
+               https://github.com/kbr/fritzconnection/archive/${PV}.tar.gz
+                       -> ${P}.gh.tar.gz
+       "
+       KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+       >=dev-python/requests-2.22[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # flaky (relies on time.sleep(0.01) magically being sufficient)
+       
fritzconnection/tests/test_fritzmonitor.py::test_terminate_thread_on_failed_reconnection
+)
+
+src_prepare() {
+       # upstream is pinning for py3.6 compat x_x
+       sed -i -e 's:,<[0-9.]*::' setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to